## ros-galactic-ur-controllers 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_controllers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(controller_interface REQUIRED)
find_package(joint_trajectory_controller REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rcutils REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(ur_dashboard_msgs REQUIRED)
find_package(ur_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  angles
  controller_interface
  joint_trajectory_controller
  pluginlib
  rclcpp_lifecycle
  rcutils
  realtime_tools
  std_msgs
  std_srvs
  ur_dashboard_msgs
  ur_msgs
)

include_directories(include)

add_library(${PROJECT_NAME} SHARED
  src/scaled_joint_trajectory_controller.cpp
  src/speed_scaling_state_broadcaster.cpp
  src/gpio_controller.cpp)

target_include_directories(${PROJECT_NAME} PRIVATE
  include
)

ament_target_dependencies(${PROJECT_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
pluginlib_export_plugin_description_file(controller_interface controller_plugins.xml)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

install(FILES controller_plugins.xml
  DESTINATION share/${PROJECT_NAME}
)

ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_include_directories(
  include
)

ament_export_libraries(
  ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-galactic-ur-controllers (2.1.2-1focal) focal; urgency=high

  * Fix dependencies for galactic (#392 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/392>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-galactic-ur-controllers (2.1.1-1focal) focal; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 04 May 2022 22:00:00 -0000

ros-galactic-ur-controllers (2.1.0-1focal) focal; urgency=high

  * Updated package maintainers (#360 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/360>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Update controllers adding dt in to update as in ros2_control (#171 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/171>)
  * Update main branch with ros-controls changes (#160 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/160>)
  * Update CI configuration to support galactic and rolling (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/142>)
  * Modify parameter declaration - approach equalization with ros-controls dependencies (#152 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/152>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Correct formatting, include std::vector and update ros2_controller to master branch in repo file.
  * Correct check for fixed has_trajectory_msg()
    See: https://github.com/ros-controls/ros2_controllers/commit/32f089b3f3b53a817412c6bbce9046028786431e
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd
    and: https://github.com/ros-controls/ros2_controllers/commit/612f610c24d026a41abd2dd026902c672cf778c9#diff-5d3e18800b3a217b37b91036031bdb170f5183970f54d1f951bb12f2e4847706
  * Fix gpio controller (#103 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/103>)
  * Fixed speed slider service call (#100 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/100>)
  * Reintegrating missing ur_client_library dependency since the break the building process (#97 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/97>)
  * Setting speed slider with range of 0.0-1.0 and added warnings if range is exceeded (#88 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/88>)
  * Fix move to home bug (#92 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/92>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Fix warning about deprecated controller_interface::return_type::SUCCESS (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/68>)
  * Use GitHub Actions, use pre-commit formatting (#56 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/56>)
  * Scaled Joint Trajectory Controller (#43 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/43>)
  * Only load speed scaling interface
  * Removed controller from config file to realign with current branch status
  * Removed last remnants of joint_state_controller
  * Added publisher rate
  * Code formatting and cleanup
  * Added publisher for speed scaling factor
  * Initial version of the speed_scaling_state_controller
  * Update licence.
  * Fix clang tidy in multiple pkgs.
  * Update force torque state controller.
  * Prepare for testing.
  * Update ft state controller with ros2_control changes.
  * Remove lifecycle node (update with ros2_control changes).
  * Claim individual resources.
  * Add force torque controller.
  * Claim individual resources.
  * Add force torque controller.
  * Add XML schema to all ``package.xml`` files
    Better enable ``ament_xmllint`` to check validity.
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Clean out ur_controllers, it needs a complete rewrite
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Kenneth Bogert, Lovro, Mads Holm Peters, Marvin Große Besselmann, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 02 May 2022 22:00:00 -0000

=== debian/control ===
Source: ros-galactic-ur-controllers
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-angles, ros-galactic-controller-interface, ros-galactic-joint-trajectory-controller, ros-galactic-lifecycle-msgs, ros-galactic-pluginlib, ros-galactic-rclcpp-lifecycle, ros-galactic-rcutils, ros-galactic-realtime-tools, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ur-dashboard-msgs, ros-galactic-ur-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ur-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-angles, ros-galactic-controller-interface, ros-galactic-joint-trajectory-controller, ros-galactic-lifecycle-msgs, ros-galactic-pluginlib, ros-galactic-rclcpp-lifecycle, ros-galactic-rcutils, ros-galactic-realtime-tools, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ur-dashboard-msgs, ros-galactic-ur-msgs, ros-galactic-ros-workspace
Description: Provides controllers that use the speed scaling interface of Universal Robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ur-controllers//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
